Learn how easy it is to sync an existing GitHub or Google Code repo to a SourceForge project! See Demo

Close

install problem on EC2 OEL 5.5

2013-03-05
2013-03-05
  • Erik George
    Erik George
    2013-03-05

    Installing 1.5.0-alpha1 on EC2 OEL 5.5...

    Get following error and install fails...at least, I get the same error when trying to use the commands post install.

    Install error:

    byte-compiling /usr/lib/python2.4/site-packages/S3/Utils.py to Utils.pyc
    File "/usr/lib/python2.4/site-packages/S3/Utils.py", line 172
    utc_dt = datetime.datetime(*dateS3toPython(s3timestamp)[0:6], tzinfo=pytz.timezone('UTC'))
    ^
    SyntaxError: invalid syntax


    Command error:

    File "/usr/bin/s3cmd", line 28, in ?
    import S3.Exceptions
    File "/usr/lib/python2.4/site-packages/S3/Exceptions.py", line 6, in ?
    from Utils import getTreeFromXml, unicodise, deunicodise
    File "/usr/lib/python2.4/site-packages/S3/Utils.py", line 172
    utc_dt = datetime.datetime(*dateS3toPython(s3timestamp)[0:6], tzinfo=pytz.timezone('UTC'))
    ^
    SyntaxError: invalid syntax


     
    Last edit: Erik George 2013-03-05
  • Erik George
    Erik George
    2013-03-05

    UPDATE: installed latest version, 1.5.0-alpha2, which appears successful.

    Now, apparently, need json, which didn't come with Python 2.4